/// <reference types="react" />
import { IField, IFieldConfig, Actions } from './';
declare var _default: (props: IRowProps) => JSX.Element;
export default _default;
export interface IRowProps {
    actions?: Actions;
    sortField?: string;
    data: any;
    config?: IFieldConfig<any, any>;
    className?: string;
    columnClasses?: string;
    filteredColumnClasses?: string;
    rowKey: string;
    onColumnClick?(rowKey: string, columnKey: string): void;
}
export declare function Column(props: IColumnProps): JSX.Element;
export interface IColumnProps {
    config?: Partial<IField<any>>;
    value: string;
    className?: string;
    rowKey: string;
    columnKey: string;
    onColumnClick?(columnKey: string): void;
}
