/// <reference types="react" />
import * as React from 'react';
declare class Input extends React.Component<IInputProps, IInputState> {
    constructor();
    render(): JSX.Element;
    submit(ev: React.KeyboardEvent<any>): void;
}
export interface IInputProps extends React.HTMLAttributes<any> {
    label?: string;
    labelClassName?: string;
    containerClassName?: string;
}
export interface IInputState {
}
export default Input;
export declare class InputWithOptions extends React.Component<IInputWithOptionsProps, any> {
    timer: number;
    constructor();
    render(): JSX.Element;
    onInput(val: any): void;
    onChange(key: any): void;
}
export interface IInputWithOptionsProps extends IInputProps {
    getOptions(value: any): Promise<any>;
}
export interface IInputWithOptionsState {
    options: KeyValue[];
}
export interface IOptionCallback {
    (value: any): Promise<KeyValue[]>;
}
export interface KeyValue {
    key: string;
    value: string;
}
