"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var index_1 = require("../index");
var React = require("react");
var enzyme_1 = require("enzyme");
var fieldConfig = {
    id: {
        hidden: true
    },
    name: {
        header: 'Name'
    },
    age: {
        order: -1
    }
};
var TestDataObject = (function () {
    function TestDataObject() {
    }
    return TestDataObject;
}());
var TestDataSource = (function (_super) {
    __extends(TestDataSource, _super);
    function TestDataSource() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.data = [
            Object.assign(new TestDataObject(), { id: 'aid', name: 'aname', age: 0 }),
            Object.assign(new TestDataObject(), { id: 'bid', name: 'bname', age: 1 }),
            Object.assign(new TestDataObject(), { id: 'cid', name: 'cname', age: 2 })
        ];
        return _this;
    }
    TestDataSource.prototype.getRows = function () {
        return this.data;
    };
    return TestDataSource;
}(index_1.DataSource));
var TestTable = (function (_super) {
    __extends(TestTable, _super);
    function TestTable() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return TestTable;
}(index_1.default));
describe('Table with DataSource', function () {
    var tTable = enzyme_1.shallow(React.createElement(TestTable, { dataSource: new TestDataSource(), primaryKey: 'id', fieldConfig: fieldConfig }));
    it('has 1 row', function () {
        expect(tTable.children().length).toEqual(1);
    });
});
//# sourceMappingURL=dataSourceTable.js.map